# Create CPE - CreateCPE

## Overview

Create CPE






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `CreateCPE`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.zosoc.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **ProjectId** | string | Project ID. Leave it blank for the default project. Sub-accounts must fill in. Please refer to the [GetProjectList API](/docs/api/summary/get_project_list) |**Yes**|
| **Name** | string | cpe Name |**Yes**|
| **Remark** | string | cpe Remarks |**Yes**|
| **DeviceType** | string | Device Model, Enum Values: UCPE3600, UCPE3601 |**Yes**|
| **Label** | string | Tag: UReach Smart Gateway: Access |No|
| **UserInfo** | string | Struct, see UserInfo model for details |No|
| **Count** | int | Quantity, default is 1 |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **CPEId** | string | cpe id |**Yes**|




## Example

### Request Example
    
```
https://api.zosoc.com/?Action=CreateCPE
&ProjectId=OZbYVLLp
&RequestID=VoxEBreF
&Name=NyJDNyqF
&Remark=XyfwUbAe
&CouponId=KShqXMud
&DeviceType=sgCyphCa
&Label=SbfAjvIQ
&UserInfo=bStZuzxw
&Count=1
```

### Response Example
    
```json
{
  "Action": "CreateCPEResponse",
  "CPEId": "WoDJavPb",
  "Message": "eVVejVIJ",
  "RetCode": 0
}
```





